%define name mlt
%define version 0.2.2
%define release %mkrel 1

%define lib_name_orig lib%{name}
# major is the part of the library name after the .so
%define major %{version}
%define lib_name %mklibname %{name} %{major}

Summary: Mutton Lettuce Tomato Nonlinear Video Editor
Name: %{name}
Version: %{version}
Release: %{release}
Source0: %{name}-%{version}.tar.bz2
License: GPL
Group: Video
Url: http://mlt.sourceforge.net
BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-buildroot

BuildRequires: pkgconfig
BuildRequires: pango-devel
BuildRequires: gtk2-devel
BuildRequires: SDL-devel
BuildRequires: libvorbis-devel
BuildRequires: libxml2-devel
BuildRequires: sox-devel
BuildRequires: libsamplerate-devel

Requires: pango
Requires: gtk2
Requires: SDL
Requires: sox

%description
Mutton Lettuce Tomato Nonlinear Video Editor

%package -n     %{lib_name}

Summary:        Main library for mlt 
Group:          System/Libraries
Provides:       %{name} = %{version}-%{release}

%description -n %{lib_name}
This package contains the library needed to run programs dynamically
linked with mlt.


%package -n     %{lib_name}-devel
Summary:        Headers for developing programs that will use mlt
Group:          Development/C
Requires:       %{lib_name} = %{version}
Provides:       %{lib_name_orig}-devel = %{version}-%{release} 
Provides:       %{name}-devel = %{version}-%{release}

%description -n %{lib_name}-devel
This package contains the headers that programmers will need to develop
applications which will use mlt


%prep
%setup -q
%configure --enable-debug \
           --enable-gpl \
	   --disable-jackrack \
           --disable-mmx \
           --luma-compress \
           --enable-avformat \
	   --avformat-suffix=.mlt
%build
%make

%install
rm -rf $RPM_BUILD_ROOT
%makeinstall

%clean
rm -rf $RPM_BUILD_ROOT

%post -n %{lib_name} -p /sbin/ldconfig
%postun -n %{lib_name} -p /sbin/ldconfig

%files
%defattr(-,root,root)
%{_bindir}/albino
%{_bindir}/humperdink
%{_bindir}/inigo
%{_bindir}/miracle

%files -n %{lib_name}
%defattr(-,root,root)
%{_libdir}/lib*.so.%{major}*
%{_datadir}/mlt

%files -n %{lib_name}-devel
%defattr(-,root,root)
%{_includedir}/*
%{_libdir}/*.so
%{_bindir}/mlt-config
%{_libdir}/pkgconfig/

%changelog
* Tue Jun 20 2006 Jerome Martin <jmartin@mandriva.org> 0.2.2-1
- Initial version
